Bug 436360 - Traceback from nfs install
Traceback from nfs install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Beta
  Show dependency treegraph
 
Reported: 2008-03-06 14:17 EST by Jesse Keating
Modified: 2013-01-09 22:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 11:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump (324.22 KB, text/plain)
2008-03-06 14:17 EST, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2008-03-06 14:17:50 EST
After formatting the filesystem, this traceback is seen.  Install method was
nfs, using netinst.iso

anaconda 11.4.0.47 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/isys.py", line 337, in mount
    rc = _isys.mount(fstype, device, location, flags)
  File "/usr/lib/anaconda/yuminstall.py", line 460, in doConfigSetup
    isys.mount(self.anaconda.methodstr[4:], self.tree, "nfs")
  File "/usr/lib/anaconda/yuminstall.py", line 301, in __init__
    self.doConfigSetup(root=anaconda.rootPath)
  File "/usr/lib/anaconda/yuminstall.py", line 842, in doInitialSetup
    self.ayum = AnacondaYum(anaconda)
  File "/usr/lib/anaconda/backend.py", line 192, in doRepoSetup
    anaconda.backend.doInitialSetup(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 701, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 1073, in <module>
    anaconda.intf.run(anaconda)
SystemError: mount failed

Attaching the dump.
Comment 1 Jesse Keating 2008-03-06 14:17:50 EST
Created attachment 297091 [details]
anaconda dump
Comment 2 Jesse Keating 2008-03-06 14:39:13 EST
From debug:

p fstype, device, location, flags
('nfs', '/mnt/source', '/mnt/source', None)

up

p self.tree
'/mnt/source'

p methodstr
'file:///mnt/source'

p self.anaconda.methodstr
'nfs:/mnt/source'

So it's trying to mount /mnt/source, onto itself.  Yeah that's probably not
going to work (:

Happens with NFS ISO too.
Comment 3 Jesse Keating 2008-03-06 14:39:45 EST
This happens both using the UI to define an install method as well as using
method= from the boot cli.
Comment 4 Chris Lumens 2008-03-07 11:25:21 EST
This should be fixed in the next build of anaconda.
Comment 5 Jesse Keating 2008-03-07 14:51:21 EST
Confirmed.

Note You need to log in before you can comment on or make changes to this bug.